#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hasql
version:              1.5.0.4
visibility:           public
id:                   hasql-1.5.0.4-8mHwwCMy7su8zuKHcMnY5v
key:                  hasql-1.5.0.4-8mHwwCMy7su8zuKHcMnY5v
license:              MIT
copyright:            (c) 2014, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/hasql
synopsis:             An efficient PostgreSQL driver with a flexible mapping API
description:
    Root of the \"hasql\" ecosystem.
    For details and tutorials see
    <https://github.com/nikita-volkov/hasql the readme>.

    The API comes free from all kinds of exceptions. All error-reporting is explicit and is presented using the '\''Either'\'' type.

category:             Hasql, Database, PostgreSQL
abi:                  bfb4a9de696fb417f2c04adc2ce74a68
exposed:              True
exposed-modules:
    Hasql.Connection Hasql.Decoders Hasql.Encoders Hasql.Session
    Hasql.Statement

hidden-modules:
    Hasql.Private.Prelude Hasql.Private.Errors Hasql.Private.PTI
    Hasql.Private.IO Hasql.Private.Session Hasql.Private.Connection
    Hasql.Private.PreparedStatementRegistry Hasql.Private.Settings
    Hasql.Private.Commands Hasql.Private.Decoders
    Hasql.Private.Decoders.Array Hasql.Private.Decoders.Composite
    Hasql.Private.Decoders.Value Hasql.Private.Decoders.Row
    Hasql.Private.Decoders.Result Hasql.Private.Decoders.Results
    Hasql.Private.Encoders Hasql.Private.Encoders.Array
    Hasql.Private.Encoders.Value Hasql.Private.Encoders.Params

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hasql-1.5.0.4
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hasql-1.5.0.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hasql
hs-libraries:         HShasql-1.5.0.4-8mHwwCMy7su8zuKHcMnY5v
depends:
    attoparsec-0.14.4-G298qJHRQRHDUL2EvWnXPT base-4.16.4.0
    bytestring-0.11.4.0
    bytestring-strict-builder-0.4.5.7-75nw3m6cqCe9iJlMgs5iHD
    contravariant-1.5.5-6oWUjmJNxDBFhugVD5s9dq
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    hashable-1.4.4.0-FBBN0pDZ0iK3ZcMpqjlzBP
    hashtables-1.3.1-HviqE46FPRjC88SURNRdvy mtl-2.2.2
    postgresql-binary-0.12.5-K4UHBDTPcEN8A0FKsE5kNa
    postgresql-libpq-0.9.4.3-KEIdZq7PBXuLHl7WTAWu9q
    profunctors-5.6.2-FNb2lNUOzriG8x3FEbZbot text-1.2.5.0
    text-builder-0.6.7-K5y0kGx30ejICGbKWqGHsp transformers-0.5.6.2
    vector-0.13.1.0-5Ks1FSmymfI2i781M8kBvn

haddock-interfaces:   /usr/share/doc/haskell-hasql/html/hasql.haddock
haddock-html:         /usr/share/doc/haskell-hasql/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

